Package com.independentsoft.graph

# Class Time

java.lang.Object
com.independentsoft.graph.Time

public class Time extends Object
Represents the transition time of day to and from standard time and daylight saving time.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Time()`
  Initializes a new instance of the Time class.
  `Time​(int hour)`
  Initializes a new instance of the Time class.
  `Time​(int hour, int minute)`
  Initializes a new instance of the Time class.
  `Time​(int hour, int minute, int second)`
  Initializes a new instance of the Time class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getHour()`
  Gets a hour.
  `int`
  `getMinute()`
  Gets a minute.
  `int`
  `getSecond()`
  Gets a second.
  `void`
  `setHour​(int hour)`
  Sets a hour.
  `void`
  `setMinute​(int minute)`
  Sets a minute.
  `void`
  `setSecond​(int second)`
  Sets a second.
  `String`
  `toString()`
  Converts the value of the current Time object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Time

    public Time()
    Initializes a new instance of the Time class.

  - ### Time

    public Time​(int hour)
    Initializes a new instance of the Time class.
    Parameters:
      `hour` - the hour

  - ### Time

    public Time​(int hour, int minute)
    Initializes a new instance of the Time class.
    Parameters:
      `hour` - the hour
      `minute` - the minute

  - ### Time

    public Time​(int hour, int minute, int second)
    Initializes a new instance of the Time class.
    Parameters:
      `hour` - the hour
      `minute` - the minute
      `second` - the second

- ## Method Details

  - ### toString

    public String toString()
    Converts the value of the current Time object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getHour

    public int getHour()
    Gets a hour.
    Returns:
      the hour

  - ### setHour

    public void setHour​(int hour)
    Sets a hour.
    Parameters:
      `hour` - the new hour

  - ### getMinute

    public int getMinute()
    Gets a minute.
    Returns:
      the minute

  - ### setMinute

    public void setMinute​(int minute)
    Sets a minute.
    Parameters:
      `minute` - the new minute

  - ### getSecond

    public int getSecond()
    Gets a second.
    Returns:
      the second

  - ### setSecond

    public void setSecond​(int second)
    Sets a second.
    Parameters:
      `second` - the new second